#ifndef GPS_STRUCT_H
#define GPS_STRUCT_H

typedef enum GPS_FLAG {
    GPS_TRUE = 1,
    GPS_FALSE = 0
} GPS_FLAG;

typedef struct GPS_STRING {
    char str[128];
} GPS_STRING;

typedef struct GPS_POM_TAGGING {
	GPS_FLAG flag;
	GPS_STRING pomPoster;
} GPS_POM_TAGGING;

typedef struct GPS_REF_POS {
    double x;
    double y;
    double z;
} GPS_REF_POS;

typedef struct GPS_POS_QUALITY {
  double northing_stddev;
  double easting_stddev;
  double pom_confidence;
} GPS_POS_QUALITY;

typedef struct GPS_LOG {
  
  // log file name
  GPS_FLAG logToFile;
  char	logFileName[48]; /* name of file to store log */
  GPS_LOG_FORMAT logFormat;

} GPS_LOG;

typedef struct GPS_INIT
{
  // Serial speed and COM to use
  char	comNumber[16];	 /* serial port number : COM1, COM2 ...*/
  int   comSpeedCOM1;    /* COM1 speed */	
  int   comSpeedCOM2;    /* COM2 speed */
  
  // serial conf
  int	VMIN;        /* VMIN char */
  int   VTIME;       /* VMIN time */
      
} GPS_INIT;


typedef struct GPS_DEBUG
{
  int nbTrame;
  POM_SENSOR_POS pomTaggingFrame;
  int dateWriteMEPoster;
  // stop exporting position to pom, this is for testing the switch of pom to other ME (rflex, ..)
  GPS_FLAG stopExportingToPom;
} GPS_DEBUG;

#endif

