/*
 * Copyright (c) 2003-2011 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _NETWORK_H
#define _NETWORK_H


/* UDP port used to send GPS corrections */
#define GPS_PORT	18256 
#define GPS_PROXY_PORT	18257

/* proxy greeting string */
#define DGPS_PROXY_HELLO "DGPS PROXY HELLO"

typedef struct {
	int fd;
	struct sockaddr_in dst;
	socklen_t len;
} GPS_SEND_STR;

extern GPS_SEND_STR *setupToSocket(const char *, u_int16_t);
extern int setupRcvSocket(u_int16_t);

#ifdef __sun
extern const char *hstrerror(int);
#endif

#endif
